Subject: [PATCH 1/8] pinctrl: meson: remove offset from pinctrl

From: [email-masked] (Jerome Brunet)
Date: Thu, 05 Oct 2017 13:47:48 +0200

On Thu, 2017-10-05 at 13:22 +0200, Linus Walleij wrote:
> On Wed, Sep 20, 2017 at 3:39 PM, Jerome Brunet <[email-masked]> wrote:
> 
> > Offset on meson pinctrl and gpios is something that was carried from the
> > vendor driver, where there is a weird link between the 2
> > controllers. Since these 2 controllers are independent, this offset adds
> > an unnecessary complexity.
> > 
> > This patch remove this manually set offset and rely on pinctrl to figure
> > out the gpio base offset
> > 
> > Tested-by: Martin Blumenstingl <[email-masked]>
> > Signed-off-by: Jerome Brunet <[email-masked]>
> 
> Patch applied.

Thx Linus.

Just to be sure, did you remember to squash patch 1 to 5 together ?

I know it is a bit unusual but, as explained earlier, those patches were only
split to ease the review. Keeping the change split would break bisect.

> Yours,
> Linus Walleij